/*
 * Intel ACPI Component Architecture
 * AML Disassembler version 20111123-32 [Dec  3 2011]
 * Copyright (c) 2000 - 2011 Intel Corporation
 * 
 * Disassembly of /Users/user/Desktop/sw5_171_hardware/SSDT2.aml, Thu Apr  9 19:17:32 2015
 *
 * Original Table Header:
 *     Signature        "SSDT"
 *     Length           0x000008BB (2235)
 *     Revision         0x01
 *     Checksum         0x59
 *     OEM ID           "ACRSYS"
 *     OEM Table ID     "ACRPRDCT"
 *     OEM Revision     0x00001000 (4096)
 *     Compiler ID      "1025"
 *     Compiler Version 0x00040000 (262144)
 */

DefinitionBlock ("/Users/user/Desktop/sw5_171_hardware/SSDT2.aml", "SSDT", 1, "ACRSYS", "ACRPRDCT", 0x00001000)
{
    External (TBAB)
    External (\_TZ_._TMP, IntObj)
    External (\_SB_.PCI0.LPCB.EC0_.EDAB, IntObj)
    External (\_SB_.PCI0.LPCB.EC0_.ESEB)
    External (\_SB_.PCI0.LPCB.EC0_.CMDB)
    External (\_SB_.PCI0.LPCB.EC0_.CDTB)
    External (\_SB_.PCI0.LPCB.EC0_.MUEC)
    External (\_SB_.PCI0.LPCB.EC0_.PCPT)

    Scope (\_SB)
    {
        Device (PTID)
        {
            Name (_HID, EisaId ("INT340E"))
            Name (_CID, EisaId ("PNP0C02"))
            Name (IVER, 0x00030000)
            Method (_STA, 0, NotSerialized)
            {
                Return (0x0F)
            }

            Name (TSDL, Package (0x2E)
            {
                Zero, 
                "CPU Core 0 DTS", 
                Zero, 
                "CPU Core 1 DTS", 
                Zero, 
                "CPU Core 2 DTS", 
                Zero, 
                "CPU Core 3 DTS", 
                Zero, 
                "CPU Core Package DTS", 
                0x03, 
                "CPU Core VR (IMVP) Temperature", 
                0x03, 
                "CPU GT VR (IMVP) Temperature", 
                0x03, 
                "Heat Exchanger Fan Temperature", 
                0x03, 
                "Skin Temperature", 
                0x03, 
                "Ambient Temperature", 
                0x03, 
                "Minicard Region Temperature", 
                0x02, 
                "Channel 0 DIMM Temperature", 
                0x02, 
                "Channel 1 DIMM Temperature", 
                Zero, 
                "CPU Package Temperature", 
                0x05, 
                "PCH DTS Temperature from PCH", 
                Zero, 
                "CPU PECI reading", 
                0x05, 
                "SA DTS Temperature from PCH", 
                0x02, 
                "TS-on-DIMM0 Temperature", 
                0x02, 
                "TS-on-DIMM1 Temperature", 
                0x02, 
                "TS-on-DIMM2 Temperature", 
                0x02, 
                "TS-on-DIMM3 Temperature", 
                0x02, 
                "TZ00 _TMP", 
                0x02, 
                "TZ01 _TMP"
            })
            Name (PSDL, Package (0x0C)
            {
                Zero, 
                "CPU Power", 
                One, 
                "Gfx Core Power", 
                0x0A, 
                "System Power", 
                Zero, 
                "CPU Average Power", 
                One, 
                "Gfx Core Average Power", 
                0x0A, 
                "System Average Power"
            })
            Name (OSDL, Package (0x06)
            {
                Zero, 
                "CPU Fan Speed", 
                "RPM", 
                Zero, 
                "CPU energy", 
                "RAW"
            })
            Method (TSDD, 0, NotSerialized)
            {
                Name (TMPV, Package (0x17)
                {
                    0x80000000, 
                    0x80000000, 
                    0x80000000, 
                    0x80000000, 
                    0x80000000, 
                    0x80000000, 
                    0x80000000, 
                    0x80000000, 
                    0x80000000, 
                    0x80000000, 
                    0x80000000, 
                    0x80000000, 
                    0x80000000, 
                    0x80000000, 
                    0x80000000, 
                    0x80000000, 
                    0x80000000, 
                    0x80000000, 
                    0x80000000, 
                    0x80000000, 
                    0x80000000, 
                    0x80000000, 
                    0x80000000
                })
                Store (0x0BD8, Index (TMPV, Zero))
                Store (0x0BE2, Index (TMPV, One))
                Store (0x0BEC, Index (TMPV, 0x02))
                Store (0x0BF6, Index (TMPV, 0x03))
                Store (0x0C00, Index (TMPV, 0x04))
                Store (0x0C0A, Index (TMPV, 0x05))
                Store (0x0C14, Index (TMPV, 0x06))
                Store (0x0C1E, Index (TMPV, 0x07))
                Store (0x0C28, Index (TMPV, 0x08))
                Store (0x0C32, Index (TMPV, 0x09))
                Store (0x0C3C, Index (TMPV, 0x0A))
                If (LNotEqual (TBAB, Zero))
                {
                    Store (Add (Multiply (\_SB.PCI0.LPCB.EC0.PCPT, 0x0A), 0x0AAC), Index (TMPV, 
                        0x0B))
                }

                Store (0x0C46, Index (TMPV, 0x0C))
                Store (0x0C50, Index (TMPV, 0x0D))
                Store (0x0C5A, Index (TMPV, 0x0E))
                Store (0x0C64, Index (TMPV, 0x0F))
                Store (0x0C6E, Index (TMPV, 0x10))
                Store (\_TZ._TMP, Index (TMPV, 0x11))
                Store (\_TZ._TMP, Index (TMPV, 0x12))
                Return (TMPV)
            }

            Method (PSDD, 0, NotSerialized)
            {
                Name (PWRV, Package (0x06)
                {
                    0x80000000, 
                    0x80000000, 
                    0x80000000, 
                    0x80000000, 
                    0x80000000, 
                    0x80000000
                })
                Return (PWRV)
            }

            Method (OSDD, 0, NotSerialized)
            {
                Name (OSDV, Package (0x02)
                {
                    0x80000000, 
                    0x80000000
                })
                Return (OSDV)
            }

            Method (SDSP, 0, NotSerialized)
            {
                Return (0x0A)
            }

            Name (PADA, Package (0x0A)
            {
                One, 
                Ones, 
                Ones, 
                0x1A, 
                Ones, 
                Ones, 
                Ones, 
                Ones, 
                Ones, 
                Ones
            })
            Name (PADD, Package (0x0A)
            {
                0x02, 
                0x06A4, 
                0x06A0, 
                0x1A, 
                0x62, 
                0x63, 
                0x60, 
                0x61, 
                0x65, 
                0x64
            })
            Method (PADT, 0, NotSerialized)
            {
                Return (PADA)
            }

            Name (MTMP, Buffer (0x1A) {})
            Name (PTIE, Zero)
            Method (RPMD, 0, NotSerialized)
            {
                Return (MTMP)
            }

            Method (WPMD, 1, NotSerialized)
            {
                If (LNotEqual (SizeOf (Arg0), 0x1A))
                {
                    Return (Ones)
                }

                Store (DerefOf (Index (Arg0, Zero)), Index (MTMP, Zero))
                Store (DerefOf (Index (Arg0, One)), Index (MTMP, One))
                Store (DerefOf (Index (Arg0, 0x02)), Index (MTMP, 0x02))
                Store (DerefOf (Index (Arg0, 0x03)), Index (MTMP, 0x03))
                Store (DerefOf (Index (Arg0, 0x04)), Index (MTMP, 0x04))
                Store (DerefOf (Index (Arg0, 0x05)), Index (MTMP, 0x05))
                Store (DerefOf (Index (Arg0, 0x06)), Index (MTMP, 0x06))
                Store (DerefOf (Index (Arg0, 0x07)), Index (MTMP, 0x07))
                Store (DerefOf (Index (Arg0, 0x08)), Index (MTMP, 0x08))
                Store (DerefOf (Index (Arg0, 0x09)), Index (MTMP, 0x09))
                Store (DerefOf (Index (Arg0, 0x0A)), Index (MTMP, 0x0A))
                Store (DerefOf (Index (Arg0, 0x0B)), Index (MTMP, 0x0B))
                Store (DerefOf (Index (Arg0, 0x0C)), Index (MTMP, 0x0C))
                Store (DerefOf (Index (Arg0, 0x0D)), Index (MTMP, 0x0D))
                Store (DerefOf (Index (Arg0, 0x0E)), Index (MTMP, 0x0E))
                Store (DerefOf (Index (Arg0, 0x0F)), Index (MTMP, 0x0F))
                Store (DerefOf (Index (Arg0, 0x10)), Index (MTMP, 0x10))
                Store (DerefOf (Index (Arg0, 0x11)), Index (MTMP, 0x11))
                Store (DerefOf (Index (Arg0, 0x12)), Index (MTMP, 0x12))
                Store (DerefOf (Index (Arg0, 0x13)), Index (MTMP, 0x13))
                Store (DerefOf (Index (Arg0, 0x14)), Index (MTMP, 0x14))
                Store (DerefOf (Index (Arg0, 0x15)), Index (MTMP, 0x15))
                Store (DerefOf (Index (Arg0, 0x16)), Index (MTMP, 0x16))
                Store (DerefOf (Index (Arg0, 0x17)), Index (MTMP, 0x17))
                Store (DerefOf (Index (Arg0, 0x18)), Index (MTMP, 0x18))
                Store (DerefOf (Index (Arg0, 0x19)), Index (MTMP, 0x19))
                Return (Zero)
            }

            Method (ISPC, 0, NotSerialized)
            {
                Name (TEMB, Buffer (0x20) {})
                If (LEqual (Acquire (\_SB.PCI0.LPCB.EC0.MUEC, 0xFFFF), Zero))
                {
                    Store (0x06, Local0)
                    Store (Zero, Local1)
                    While (LAnd (LLess (Local0, 0x1A), LLess (Local1, 0x20)))
                    {
                        Store (DerefOf (Index (MTMP, Local0)), Index (TEMB, Local1))
                        Increment (Local0)
                        Increment (Local1)
                    }

                    Store (TEMB, \_SB.PCI0.LPCB.EC0.CDTB)
                    Store (0xA0, \_SB.PCI0.LPCB.EC0.CMDB)
                    Store (0x0F, \_SB.PCI0.LPCB.EC0.ESEB)
                    Store (0x7F, Local0)
                    While (LAnd (Local0, \_SB.PCI0.LPCB.EC0.CMDB))
                    {
                        Sleep (One)
                        Decrement (Local0)
                    }

                    If (LEqual (\_SB.PCI0.LPCB.EC0.CMDB, Zero))
                    {
                        Store (DerefOf (Index (MTMP, Zero)), Local0)
                        Decrement (Local0)
                        Store (Local0, Index (MTMP, Zero))
                        Store (DerefOf (Index (MTMP, 0x07)), Local0)
                        Add (Local0, 0x09, Local0)
                        Store (Zero, Local1)
                        Store (\_SB.PCI0.LPCB.EC0.EDAB, TEMB)
                        While (LAnd (LLess (Local0, 0x1A), LLess (Local1, 0x20)))
                        {
                            Store (DerefOf (Index (TEMB, Local1)), Index (MTMP, Local0))
                            Increment (Local0)
                            Increment (Local1)
                        }
                    }
                    Else
                    {
                        Store (One, PTIE)
                    }

                    Release (\_SB.PCI0.LPCB.EC0.MUEC)
                }

                Return (Zero)
            }

            Method (ENPC, 0, NotSerialized)
            {
                Return (Zero)
            }

            Method (RPCS, 0, NotSerialized)
            {
                Return (PTIE)
            }

            Method (RPEC, 0, NotSerialized)
            {
                Store (Zero, Local0)
                Return (Local0)
            }
        }
    }
}

